Name:           popa3d
Version:        1.0.3
Release:        %mkrel 3
Summary:        Simple, secure POP-3 mail server
Group:          System/Servers
License:        BSD-style
URL:            http://www.openwall.com/popa3d/
Source0:        popa3d-%{version}.tar.gz
Source1:        popa3d.tmpfiles
Source2:        popa3d.pam
Source3:        popa3d.socket
Source4:        popa3d@.service
Source5:        popa3d-ssl.socket
Source6:        popa3d-ssl@.service
Source7:        popa3d.stunnel
Patch0:         popa3d-1.0.3-config.patch
Requires:       stunnel
Requires(post): rpm-helper >= 0.19
BuildRequires:  pam-devel


%description
popa3d is a simple, secure POP-3 mail server. It is launched on demand by
systemd, so takes no resources when not actively in use. This package is
configured to listen to pop3s (SSL encrypted) on all interfaces, and pop3 
(unencrypted) on localhost only.

%prep
%setup -q
%autopatch -p1

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall_std PREFIX=%{_prefix} MANDIR=%{_mandir}
install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d -m 755 %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/pam.d/%{name}
install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{buildroot}%{_unitdir}
install -d -m 755 %{buildroot}/%{_sysconfdir}/stunnel
install -m 644 %{SOURCE7} %{buildroot}/%{_sysconfdir}/stunnel/%{name}.conf

%post
%_pre_useradd popa3d /run/popa3d /bin/false
%_create_ssl_certificate popa3d

%files
%doc CHANGES CONTACT DESIGN INSTALL LICENSE
%{_sbindir}/popa3d
%{_mandir}/man8/popa3d.8*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/stunnel/*
%{_unitdir}/*
%{_tmpfilesdir}/*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.3-3.mga6
+ Revision: 958546
- Mageia 6 Mass Rebuild

* Sat Jul 18 2015 danf <danf> 1.0.3-2.mga6
+ Revision: 855167
- Removed the fips=no line from the config file to work with the new stunnel

* Wed Mar 18 2015 danf <danf> 1.0.3-1.mga6
+ Revision: 818754
- imported package popa3d

